"""
Máscaras especificadas no enunciado do trabalho.
As máscaras são armazenadas num dicionário.
"""
import numpy as np

mascaras = {

    'H1': np.asarray([
        [ 0,  0, -1,  0,  0],
        [ 0, -1, -2, -1,  0],
        [-1, -2, 16, -2, -1],
        [ 0, -1, -2, -1,  0],
        [ 0,  0, -1,  0,  0]
    ]),

    'H2': np.asarray([
        [1,  4,  6,  4, 1],
        [4, 16, 24, 16, 4],
        [6, 24, 36, 24, 6],
        [4, 16, 24, 16, 4],
        [1,  4,  6,  4, 1]
    ]) * (1 / 256),

    'H3': np.asarray([
        [-1, 0, 1],
        [-2, 0, 2],
        [-1, 0, 1]
    ]),

    'H4': np.asarray([
        [-1, -2, -1],
        [ 0,  0,  0],
        [ 1,  2,  1]
    ]),

    'H5': np.asarray([
        [-1, -1, -1],
        [-1,  8, -1],
        [-1, -1, -1]
    ]),

    'H6': np.asarray([
        [1, 1, 1],
        [1, 1, 1],
        [1, 1, 1]
    ]) * (1 / 9),

    'H7': np.asarray([
        [-1, -1,  2],
        [-1,  2, -1],
        [ 2, -1, -1]
    ]),

    'H8': np.asarray([
        [ 2, -1, -1],
        [-1,  2, -1],
        [-1, -1,  2]
    ]),

    'H9': np.asarray([
        [1, 0, 0, 0, 0, 0, 0, 0, 0],
        [0, 1, 0, 0, 0, 0, 0, 0, 0],
        [0, 0, 1, 0, 0, 0, 0, 0, 0],
        [0, 0, 0, 1, 0, 0, 0, 0, 0],
        [0, 0, 0, 0, 1, 0, 0, 0, 0],
        [0, 0, 0, 0, 0, 1, 0, 0, 0],
        [0, 0, 0, 0, 0, 0, 1, 0, 0],
        [0, 0, 0, 0, 0, 0, 0, 1, 0],
        [0, 0, 0, 0, 0, 0, 0, 0, 1]
    ]) * (1 / 9),

    'H10': np.asarray([
        [-1, -1, -1, -1, -1],
        [-1,  2,  2,  2, -1],
        [-1,  2,  8,  2, -1],
        [-1,  2,  2,  2, -1],
        [-1, -1, -1, -1, -1]
    ]) * (1 / 8),

    'H11': np.asarray([
        [-1, -1,  0],
        [-1,  0,  1],
        [ 0,  1,  1]
    ])

}
